// Author: Anja Haumann

using UnityEngine;

public class CharacterMover : MonoBehaviour
{
    [SerializeField]
    private float distance = 0.5f;

	[SerializeField]
	private float movementDuration = 2f;

	private float elapsedTime;
	private Vector3 leftPosition;
	private Vector3 rightPosition;

	private void Awake()
	{
		// Start in the middle.
		elapsedTime = movementDuration / 2f;

		leftPosition = transform.position + Vector3.left * distance;
		rightPosition = transform.position + Vector3.right * distance;
	}

	private void Update()
	{
		elapsedTime += Time.deltaTime;
		float progress = Mathf.PingPong(elapsedTime, 1f);
		transform.position = Vector3.Lerp(leftPosition, rightPosition, progress);
	}
}
